Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
hostent_arg Struct Reference

## Data Fields
VALUE | host
struct rb_addrinfo * | addr
VALUE(* | ipaddr )(struct sockaddr *, socklen_t)

## Detailed Description

Definition at line 756 of file raddrinfo.c.

## Field Documentation

## ◆ addr

struct rb_addrinfo* hostent_arg::addr

Definition at line 758 of file raddrinfo.c.

Referenced by rsock_make_hostent().

## ◆ host

VALUE hostent_arg::host

Definition at line 757 of file raddrinfo.c.

Referenced by rsock_make_hostent().

## ◆ ipaddr

VALUE(* hostent_arg::ipaddr) (struct sockaddr *, socklen_t)

Definition at line 759 of file raddrinfo.c.

Referenced by rsock_make_hostent().

The documentation for this struct was generated from the following file:

- ext/socket/raddrinfo.c